## matplotlib 2.2.2

=== debian/changelog ===
matplotlib (2.2.2-4ubuntu1) disco; urgency=medium

  * Bump debhelper to 9.
  * Fix stripping the packages.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 06 Nov 2018 10:20:47 +0100

matplotlib (2.2.2-4build2) disco; urgency=medium

  * No-change rebuild to build without python3.6 support.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 03 Nov 2018 11:51:32 +0000

matplotlib (2.2.2-4build1) cosmic; urgency=medium

  * No-change rebuild to build for python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 28 Jun 2018 11:39:50 +0000

matplotlib (2.2.2-4) unstable; urgency=medium

  * debian/control
    - exclude some of the b-d on archs where they are not available; thanks to
      Graham Inggs

 -- Sandro Tosi <morph@debian.org>  Sun, 27 May 2018 18:20:55 -0400

matplotlib (2.2.2-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP
  * d/control: Remove ancient X-Python3-Version field

  [ Sandro Tosi ]
  * debian/control
    - add kiwisolver -dbg packages to b-d, needed by tests
    - dont install pandas as b-d in armhf; Closes: #898873
  * debian/patches/0012-dont-generate-a-test-failure-if-images-are-not-close.patch
    - print a warning and not fail the test if the image is not close to the
      matplotlib baseline

 -- Sandro Tosi <morph@debian.org>  Thu, 17 May 2018 20:44:51 -0400

matplotlib (2.2.2-2) unstable; urgency=medium

  * debian/control
    - make -dbg packages depend on kiwisolver -dbg packages; Closes: #895763

 -- Sandro Tosi <morph@debian.org>  Sun, 22 Apr 2018 18:34:49 -0400

matplotlib (2.2.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove XS-Testsuite field, not needed anymore

  [ Sandro Tosi ]
  * New upstream release
    - requires.txt are now generated empty automagically; Closes: #889151
  * debian/control
    - add ipywidgets to b-d, needed by doc
    - add kiwisolver to b-d, new dependency
    - bump Standards-Version to 4.1.4 (no changes needed)
    - re-enable pandas b-d
  * refresh patches
  * debian/patches/0011-remove-distutils.sysconfig.patch
    - dont import distutils.sysconfig in matplotlib, as it's meant to be used
      for building packages, not in a top-level module; Closes: #894502
  * debian/rules
    - make doc via Makefile
    - set --no-parallel
  * debian/README.debian
    - update to mention GTK backend is no longer available; Closes: #889137

 -- Sandro Tosi <morph@debian.org>  Sat, 14 Apr 2018 17:11:41 -0400

=== debian/control ===
Source: matplotlib
Section: python
Priority: optional
Maintainer: Sandro Tosi <morph@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               dvipng,
               ghostscript,
               graphviz,
               inkscape [!kfreebsd-amd64],
               ipython,
               libfreetype6-dev,
               libpng-dev,
               locales-all,
               python-all-dbg (>= 2.4.4-6),
               python-all-dev (>= 2.3.5-7),
               python3-all-dbg,
               python3-all-dev,
               python-backports.functools-lru-cache,
               python-cycler (>= 0.10.0),
               python3-cycler (>= 0.10.0),
               python-dateutil,
               python3-dateutil,
               python-colorspacious,
               python3-colorspacious,
               python-cairocffi [!ia64],
               python3-cairocffi [!ia64],
               python-cxx-dev,
               python3-cxx-dev,
               python-functools32,
               python-gi,
               python3-gi,
               python-ipywidgets,
               python3-ipywidgets,
               python-kiwisolver,
               python-kiwisolver-dbg,
               python3-kiwisolver,
               python3-kiwisolver-dbg,
               python-mock,
               python3-mock,
               python-mpltoolkits.basemap <!stage1>,
               python3-mpltoolkits.basemap <!stage1>,
               python-nose,
               python3-nose,
               python-numpy,
               python-numpy-dbg,
               python-numpydoc,
               python3-numpy,
               python3-numpy-dbg,
               python-pandas [!armhf !hppa !m68k !powerpcspe !riscv64 !sparc64 !sh4 !x32],
               python3-pandas [!armhf !hppa !m68k !powerpcspe !riscv64 !sparc64 !sh4 !x32],
               python-pil,
               python3-pil,
               python-pkg-resources,
               python3-pkg-resources,
               python-pyparsing (>= 1.5.6),
               python3-pyparsing (>= 1.5.6),
               python-pytest,
               python3-pytest,
               python-qt4,
               python3-pyqt4,
               python-pyqt5 [!hurd-i386],
               python3-pyqt5 [!hurd-i386],
               python-scipy,
               python-setuptools,
               python3-setuptools,
               python-six (>= 1.4),
               python3-six (>= 1.4),
               python-sphinx (>= 1.0.7+dfsg),
               python-sphinx-gallery,
               python3-sphinx-gallery,
               python-subprocess32,
               python-tk (>= 2.5.2-1.1),
               python-tk-dbg (>= 2.5.2-1.1),
               python3-tk,
               python3-tk-dbg,
               python-tornado,
               python3-tornado,
               python-tz,
               python3-tz,
               python-wxgtk3.0,
               python-xlwt,
               tcl8.6-dev,
               texlive-fonts-recommended,
               texlive-latex-extra,
               texlive-latex-recommended,
               tk8.6-dev,
               xauth,
               xvfb,
               zlib1g-dev
XS-Python-Version: all
Standards-Version: 4.1.4
Homepage: http://matplotlib.org/
Vcs-Git: https://salsa.debian.org/python-team/modules/matplotlib.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/matplotlib

Package: python-matplotlib
Architecture: any
Depends: python-backports.functools-lru-cache,
         python-dateutil,
         python-matplotlib-data (>= ${source:Version}),
         python-pyparsing (>= 1.5.6),
         python-tz,
         libjs-jquery,
         libjs-jquery-ui,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Recommends: python-pil,
            python-tk (>= 2.5.2-1.1)
Enhances: ipython
Suggests: dvipng,
          ffmpeg,
          gir1.2-gtk-3.0,
          ghostscript,
          inkscape,
          ipython (>= 0.6.3),
          librsvg2-common,
          python-cairocffi,
          python-configobj,
          python-excelerator,
          python-gobject,
          python-matplotlib-doc,
          python-nose,
          python-qt4,
          python-scipy,
          python-sip,
          python-tornado,
          python-traits (>= 2.0),
          python-wxgtk3.0,
          texlive-extra-utils,
          texlive-latex-extra,
          ttf-staypuft
Description: Python based plotting system in a style similar to Matlab
 Matplotlib is a pure Python plotting library designed to bring
 publication quality plotting to Python with a syntax familiar to
 Matlab users. All of the plotting commands in the pylab interface can
 be accessed either via a functional interface familiar to Matlab
 users or an object oriented interface familiar to Python users.

Package: python3-matplotlib
Architecture: any
Depends: python3-dateutil,
         python-matplotlib-data (>= ${source:Version}),
         python3-pyparsing (>= 1.5.6),
         python3-six (>= 1.4),
         python3-tz,
         libjs-jquery,
         libjs-jquery-ui,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: python3-pil,
            python3-tk
Enhances: ipython3
Suggests: dvipng,
          ffmpeg,
          gir1.2-gtk-3.0,
          ghostscript,
          inkscape,
          ipython3,
          librsvg2-common,
          python-matplotlib-doc,
          python3-cairocffi,
          python3-gi,
          python3-gi-cairo,
          python3-gobject,
          python3-nose,
          python3-pyqt4,
          python3-scipy,
          python3-sip,
          python3-tornado,
          texlive-extra-utils,
          texlive-latex-extra,
          ttf-staypuft
Description: Python based plotting system in a style similar to Matlab (Python 3)
 Matplotlib is a pure Python plotting library designed to bring
 publication quality plotting to Python with a syntax familiar to
 Matlab users. All of the plotting commands in the pylab interface can
 be accessed either via a functional interface familiar to Matlab
 users or an object oriented interface familiar to Python users.
 .
 This package contains the Python 3 version of matplotlib.

Package: python-matplotlib-data
Architecture: all
Depends: fonts-lyx, ${misc:Depends}, ttf-bitstream-vera
Description: Python based plotting system (data package)
 Matplotlib is a pure Python plotting library designed to bring
 publication quality plotting to Python with a syntax familiar to
 Matlab users. All of the plotting commands in the pylab interface can
 be accessed either via a functional interface familiar to Matlab
 users or an object oriented interface familiar to Python users.
 .
 This package contains architecture independent data for python-matplotlib.

Package: python-matplotlib-doc
Architecture: all
Section: doc
Depends: libjs-jquery, ${misc:Depends}
Description: Python based plotting system (documentation package)
 Matplotlib is a pure Python plotting library designed to bring
 publication quality plotting to Python with a syntax familiar to
 Matlab users. All of the plotting commands in the pylab interface can
 be accessed either via a functional interface familiar to Matlab
 users or an object oriented interface familiar to Python users.
 .
 This package contains documentation for python-matplotlib.

Package: python-matplotlib-dbg
Architecture: any
Section: debug
Depends: python-all-dbg,
         python-matplotlib (= ${binary:Version}),
         python-kiwisolver-dbg,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Python based plotting system (debug extension)
 Matplotlib is a pure Python plotting library designed to bring
 publication quality plotting to Python with a syntax familiar to
 Matlab users. All of the plotting commands in the pylab interface can
 be accessed either via a functional interface familiar to Matlab
 users or an object oriented interface familiar to Python users.
 .
 This package contains the debug extension for python-matplotlib.

Package: python3-matplotlib-dbg
Architecture: any
Section: debug
Depends: python3-all-dbg,
         python3-matplotlib (= ${binary:Version}),
         python3-kiwisolver-dbg,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Python based plotting system (debug extension, Python 3)
 Matplotlib is a pure Python plotting library designed to bring
 publication quality plotting to Python with a syntax familiar to
 Matlab users. All of the plotting commands in the pylab interface can
 be accessed either via a functional interface familiar to Matlab
 users or an object oriented interface familiar to Python users.
 .
 This package contains the debug extension for python3-matplotlib.

=== debian/rules ===
#!/usr/bin/make -f

export XDG_RUNTIME_DIR=/tmp

PY2VERS := $(shell pyversions -v -r debian/control)
PY3VERS := $(shell py3versions -v -r debian/control)
DEFPY := $(shell pyversions -v -d)
PY_PLATFORM := $(shell python -c 'from distutils.util import get_platform; print get_platform()')
pd := python-matplotlib-doc
p := python-matplotlib
p3 := python3-matplotlib
pdata := python-matplotlib-data
pdbg := python-matplotlib-dbg
p3dbg := python3-matplotlib-dbg
DEB_BUILD_OPTIONS += --no-parallel

# build
build: build-arch build-indep

build-indep: build-indep-stamp
build-indep-stamp: $(DEFPY:%=build-%-stamp)
	dh_testdir

	# build the doc
	MPLCONFIGDIR=. MATPLOTLIBDATA=$(CURDIR)/lib/matplotlib/mpl-data/ PYTHONPATH=$(CURDIR)/build/lib.$(PY_PLATFORM)-$(DEFPY) $(MAKE) -C doc html

	touch $@

build-arch: $(PY2VERS:%=build-%-stamp) $(PY3VERS:%=build-%-stamp)

build-%-stamp:
	dh_testdir

	cp -f debian/setup.cfg setup.cfg
	python$* ./setup.py build $(PY_BUILD_FLAGS)
	python$*-dbg ./setup.py build $(PY_BUILD_FLAGS)

ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	echo "backend      : TkAgg" > matplotlibrc
	-PYTHONPATH=$(shell python$* -c "from distutils.command.build import build ; \
	                                from distutils.core import Distribution ; \
					b = build(Distribution()) ; \
					b.finalize_options() ; \
					print(b.build_platlib)") \
	MATPLOTLIBDATA=$(CURDIR)/lib/matplotlib/mpl-data/ \
	MPLCONFIGDIR=. \
		xvfb-run -a python$* tests.py --no-network --verbose --full-trace

	-PYTHONPATH=$(shell python$*-dbg -c "from distutils.command.build import build ; \
	                                    from distutils.core import Distribution ; \
					    b = build(Distribution()) ; \
					    b.finalize_options() ; \
					    print(b.build_platlib)") \
	MATPLOTLIBDATA=$(CURDIR)/lib/matplotlib/mpl-data/ \
	MPLCONFIGDIR=. \
		xvfb-run -a python$*-dbg tests.py --no-network --verbose --full-trace
	rm -f matplotlibrc
endif

	touch $@


# clean
clean:
	dh_testdir
	dh_testroot
	
	for i in $(PY2VERS) $(PY3VERS); do \
		python$(i) ./setup.py clean --all; \
		python$(i)-dbg ./setup.py clean --all; \
	done

	# clean the doc

	# workaround for cleaning the doc ("doc/make.py clean" only runs useless svn-clean)
	rm -f doc/api/_as_gen/*
	#rm -rf doc/build doc/examples
	#rm -f doc/mpl_examples/api/*.png
	#rm -f doc/mpl_examples/pylab_examples/*.png
	#rm -f doc/mpl_examples/pylab_examples/*.pdf
	#rm -f doc/mpl_examples/units/*.png
	#rm -f doc/pyplots/tex_demo.png
	#rm -f doc/_static/matplotlibrc
	#rm -f doc/_templates/gallery.html

	find . -name '*.pyc' -exec rm {} \;

	dh_clean lib/matplotlib/mpl-data/matplotlib.conf \
		lib/matplotlib/mpl-data/matplotlibrc setup.cfg
	rm -rf build
	rm -rf lib/matplotlib.egg-info

	# restore "pristine" doc/matplotlibrc
	sed -i '/^examples\./d' $(CURDIR)/doc/matplotlibrc

	## remove doc symlinks to examples directory
	#rm -rf doc/mpl_examples
	#rm -rf doc/mpl_toolkits/axes_grid/examples

	# build twice in a row
	rm -rf doc/tex.cache/ fontList.py3k.cache result_images/ test_cache/ tex.cache/ examples/pylab_examples/test.xls
	rm -rf doc/finance.cache/ doc/fontList.cache fontList.cache

	# remove embedded CXX to prevent it to be picked up
	rm -rf extern/CXX/

# install
install-arch: build-arch $(PY2VERS:%=install-%-stamp) $(PY3VERS:%=install-py3-%-stamp)
	dh_testdir
	dh_testroot
	dh_numpy
	dh_numpy3

install-%-stamp: build-%-stamp
	dh_testdir
	dh_testroot

	python$* ./setup.py install_lib \
		-d $(CURDIR)/debian/$(p)/usr/lib/python$*/site-packages/ --no-compile
	python$* ./setup.py install_egg_info \
		-d $(CURDIR)/debian/$(p)/usr/lib/python$*/site-packages/
	python$*-dbg ./setup.py install_lib \
		-d $(CURDIR)/debian/$(pdbg)/usr/lib/python$*/site-packages/ --no-compile

	find debian/$(pdbg) ! -type d ! -name '*.so' | xargs rm -f
	find debian/$(pdbg) -depth -empty -exec rmdir {} \;

	# don't install baseline_images, needed for tests only, but huge
	# leave the dir tho, as matplotlib/tests/__init__.py checks for it
	rm -rf $(CURDIR)/debian/$(p)/usr/lib/python$*/*-packages/matplotlib/tests/baseline_images/*
	for d in $(CURDIR)/debian/$(p)/usr/lib/python$*/dist-packages/matplotlib/tests/baseline_images/; do \
	    mkdir -p $$d; \
	    touch $$d/.keep; \
	done

	rm -rf $(CURDIR)/debian/$(p)/usr/lib/python$*/site-packages/matplotlib/mpl-data/
	rm -rf $(CURDIR)/debian/$(p)/usr/lib/python$*/site-packages/matplotlib/backends/Matplotlib.nib/

	rm -rf $(CURDIR)/debian/$(pdbg)/usr/lib/python$*/site-packages/matplotlib/mpl-data/
	rm -rf $(CURDIR)/debian/$(pdbg)/usr/lib/python$*/site-packages/matplotlib/backends/Matplotlib.nib/

	# replace minified jquery with packaged version and hope it works
	for i in $(PY2VERS); do \
	    dh_link -ppython-matplotlib usr/share/javascript/jquery/jquery.min.js \
	      usr/lib/python$$i/site-packages/matplotlib/backends/web_backend/jquery/js/jquery-1.7.1.min.js; \
	    dh_link -ppython-matplotlib usr/share/javascript/jquery-ui/jquery-ui.min.js \
	      usr/lib/python$$i/site-packages/matplotlib/backends/web_backend/jquery/js/jquery-ui.min.js; \
	    dh_link -ppython-matplotlib usr/share/javascript/jquery-ui/css/smoothness/jquery-ui.min.css \
	      usr/lib/python$$i/site-packages/matplotlib/backends/web_backend/jquery/css/themes/base/jquery-ui.min.css; \
	done

	touch $@

install-py3-%-stamp: build-%-stamp
	dh_testdir
	dh_testroot

	-rm $(CURDIR)/debian/$(p3)/usr/lib/python3/dist-packages/matplotlib/backends/web_backend/jquery/js/jquery-1.7.1.min.js
	-rm $(CURDIR)/debian/$(p3)/usr/lib/python3/dist-packages/matplotlib/backends/web_backend/jquery/js/jquery-ui.min.js
	-rm $(CURDIR)/debian/$(p3)/usr/lib/python3/dist-packages/matplotlib/backends/web_backend/jquery/css/themes/base/jquery-ui.min.css


	python$* ./setup.py install_lib \
		-d $(CURDIR)/debian/$(p3)/usr/lib/python3/dist-packages/ --no-compile
	python$* ./setup.py install_egg_info \
		-d $(CURDIR)/debian/$(p3)/usr/lib/python3/dist-packages/
	python$*-dbg ./setup.py install_lib \
		-d $(CURDIR)/debian/$(p3dbg)/usr/lib/python3/dist-packages/ --no-compile

	find debian/$(p3dbg) ! -type d ! -name '*.so' | xargs rm -f
	find debian/$(p3dbg) -depth -empty -exec rmdir {} \;

	# don't install baseline_images, needed for tests only, but huge
	# leave the dir tho, as matplotlib/tests/__init__.py checks for it
	rm -rf $(CURDIR)/debian/$(p3)/usr/lib/python3/*-packages/matplotlib/tests/baseline_images/*
	for d in $(CURDIR)/debian/$(p3)/usr/lib/python3/dist-packages/matplotlib/tests/baseline_images/; do \
	    mkdir -p $$d; \
	    touch $$d/.keep; \
	done

	rm -rf $(CURDIR)/debian/$(p3)/usr/lib/python3/dist-packages/matplotlib/mpl-data/
	rm -rf $(CURDIR)/debian/$(p3)/usr/lib/python3/dist-packages/matplotlib/backends/Matplotlib.nib/

	rm -rf $(CURDIR)/debian/$(p3dbg)/usr/lib/python3/dist-packages/matplotlib/mpl-data/
	rm -rf $(CURDIR)/debian/$(p3dbg)/usr/lib/python3/dist-packages/matplotlib/backends/Matplotlib.nib/

	# replace minified jquery with packaged version and hope it works
	for i in $(PY3VERS); do \
	    dh_link -ppython3-matplotlib usr/share/javascript/jquery/jquery.min.js \
	      usr/lib/python3/dist-packages/matplotlib/backends/web_backend/jquery/js/jquery-1.7.1.min.js; \
	    dh_link -ppython3-matplotlib usr/share/javascript/jquery-ui/jquery-ui.min.js \
	      usr/lib/python3/dist-packages/matplotlib/backends/web_backend/jquery/js/jquery-ui.min.js; \
	    dh_link  -ppython3-matplotlib usr/share/javascript/jquery-ui/css/smoothness/jquery-ui.min.css \
	      usr/lib/python3/dist-packages/matplotlib/backends/web_backend/jquery/css/themes/base/jquery-ui.min.css; \
	done

	touch $@

install-indep: build-indep
	dh_testdir -i
	dh_testroot -i
	dh_prep
	dh_install -p $(pdata)
	rm -fr $(CURDIR)/debian/$(pdata)/usr/share/matplotlib/mpl-data/fonts/ttf/Vera*.ttf
	rm -fr $(CURDIR)/debian/$(pdata)/usr/share/matplotlib/mpl-data/fonts/ttf/*.TXT
	rm -fr $(CURDIR)/debian/$(pdata)/usr/share/matplotlib/mpl-data/fonts/ttf/local.conf

## matplotlib 3.0.2

=== debian/changelog ===
matplotlib (3.0.2-2) unstable; urgency=medium

  * upload to unstable
  * debian/control
    - add Breaks+Replaces on python-matplotlib-dbg; Closes: #916140

 -- Sandro Tosi <morph@debian.org>  Thu, 20 Dec 2018 19:00:46 -0500

matplotlib (3.0.2-1) experimental; urgency=medium

  * New upstream release
  * drop python2 packages; src:matplotlib will track upstream 3.x releases,
    which are only py3k-compatibles
  * debian/watch
    - only track 3.x releases
  * debian/control
    - remove dep on python-tz, no longer required upstream
  * debian/rules
    - use right variable to loop over py3k interpreters in clean target
    - select py3k default version
    - dont run dh_numpy, this is a py3k-only package now
  * debian/patches
    - remove merged upstream, refresh patches
  * debian/patches/0014-py3k-sphinx.patch
    - build doc with py3k sphinx
  * debian/control
    - add numpydoc to b-d, needed by doc
  * debian/patches/0015-disable-sphinx--W.patch
    - disable -W option when running sphinx
  * debian/python-matplotlib-data.install
    - remove lineprops.glade, delete upstream

 -- Sandro Tosi <morph@debian.org>  Sun, 09 Dec 2018 23:11:16 -0500

matplotlib (2.2.3-2) unstable; urgency=medium

  * debian/rules
    - more rework to install the modules files in the right locations;
      Closes: #915430

 -- Sandro Tosi <morph@debian.org>  Tue, 04 Dec 2018 19:21:13 -0500

matplotlib (2.2.3-1) unstable; urgency=medium

  [ Sandro Tosi ]
  * New upstream release
  * debian/control
    - remove armhf and riscv64 from pandas restrictions in b-d; Closes: #902244
    - bump Standards-Version to 4.2.1 (no changes needed)
  * debian/patches/*
    - refresh, drop
  * debian/patches/0013-static-SHA.patch
    - define a static (None) SHA value, so not to require git and and actual git
      repository during build
  * debian/rules
    - partial rewrite to avoid implicit parallelism and FTBFS due to multiple
      targets overwriting/removing files in parallel
    - remove compiled python files

  [ Ondřej Nový ]
  * Convert git repository from git-dpm to gbp layout

 -- Sandro Tosi <morph@debian.org>  Sun, 02 Dec 2018 23:10:15 -0500

=== debian/control ===
Source: matplotlib
Section: python
Priority: optional
Maintainer: Sandro Tosi <morph@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7),
               dh-python,
               dvipng,
               ghostscript,
               graphviz,
               inkscape [!kfreebsd-amd64],
               ipython,
               libfreetype6-dev,
               libpng-dev,
               locales-all,
               python3-all-dbg,
               python3-all-dev,
               python3-cycler (>= 0.10.0),
               python3-dateutil,
               python3-colorspacious,
               python3-cairocffi [!ia64],
               python3-cxx-dev,
               python3-gi,
               python3-ipywidgets,
               python3-kiwisolver,
               python3-kiwisolver-dbg,
               python3-mock,
               python3-mpltoolkits.basemap <!stage1>,
               python3-nose,
               python3-numpy,
               python3-numpy-dbg,
               python3-numpydoc,
               python3-pandas [!hppa !m68k !powerpcspe !sparc64 !sh4 !x32],
               python3-pil,
               python3-pkg-resources,
               python3-pyparsing (>= 1.5.6),
               python3-pytest,
               python3-pyqt4,
               python3-pyqt5 [!hurd-i386],
               python3-setuptools,
               python3-six (>= 1.4),
               python3-sphinx (>= 1.0.7+dfsg),
               python3-sphinx-gallery,
               python3-tk,
               python3-tk-dbg,
               python3-tornado,
               tcl8.6-dev,
               texlive-fonts-recommended,
               texlive-latex-extra,
               texlive-latex-recommended,
               tk8.6-dev,
               xauth,
               xvfb,
               zlib1g-dev
XS-Python-Version: all
Standards-Version: 4.2.1
Homepage: http://matplotlib.org/
Vcs-Git: https://salsa.debian.org/python-team/modules/matplotlib.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/matplotlib

Package: python3-matplotlib
Architecture: any
Depends: python3-dateutil,
         python-matplotlib-data (>= ${source:Version}),
         python3-pyparsing (>= 1.5.6),
         python3-six (>= 1.4),
         libjs-jquery,
         libjs-jquery-ui,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: python3-pil,
            python3-tk
Enhances: ipython3
Suggests: dvipng,
          ffmpeg,
          gir1.2-gtk-3.0,
          ghostscript,
          inkscape,
          ipython3,
          librsvg2-common,
          python-matplotlib-doc,
          python3-cairocffi,
          python3-gi,
          python3-gi-cairo,
          python3-gobject,
          python3-nose,
          python3-pyqt4,
          python3-scipy,
          python3-sip,
          python3-tornado,
          texlive-extra-utils,
          texlive-latex-extra,
          ttf-staypuft
Description: Python based plotting system in a style similar to Matlab (Python 3)
 Matplotlib is a pure Python plotting library designed to bring
 publication quality plotting to Python with a syntax familiar to
 Matlab users. All of the plotting commands in the pylab interface can
 be accessed either via a functional interface familiar to Matlab
 users or an object oriented interface familiar to Python users.
 .
 This package contains the Python 3 version of matplotlib.

Package: python-matplotlib-data
Architecture: all
Depends: fonts-lyx, ${misc:Depends}, ttf-bitstream-vera
Description: Python based plotting system (data package)
 Matplotlib is a pure Python plotting library designed to bring
 publication quality plotting to Python with a syntax familiar to
 Matlab users. All of the plotting commands in the pylab interface can
 be accessed either via a functional interface familiar to Matlab
 users or an object oriented interface familiar to Python users.
 .
 This package contains architecture independent data for python-matplotlib.

Package: python-matplotlib-doc
Architecture: all
Section: doc
Depends: libjs-jquery, ${misc:Depends}
Description: Python based plotting system (documentation package)
 Matplotlib is a pure Python plotting library designed to bring
 publication quality plotting to Python with a syntax familiar to
 Matlab users. All of the plotting commands in the pylab interface can
 be accessed either via a functional interface familiar to Matlab
 users or an object oriented interface familiar to Python users.
 .
 This package contains documentation for python-matplotlib.

Package: python3-matplotlib-dbg
Architecture: any
Section: debug
Depends: python3-all-dbg,
         python3-matplotlib (= ${binary:Version}),
         python3-kiwisolver-dbg,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: python-matplotlib-dbg (<< 2.2.3-3)
Replaces: python-matplotlib-dbg (<< 2.2.3-3)
Description: Python based plotting system (debug extension, Python 3)
 Matplotlib is a pure Python plotting library designed to bring
 publication quality plotting to Python with a syntax familiar to
 Matlab users. All of the plotting commands in the pylab interface can
 be accessed either via a functional interface familiar to Matlab
 users or an object oriented interface familiar to Python users.
 .
 This package contains the debug extension for python3-matplotlib.

=== debian/rules ===
#!/usr/bin/make -f

export XDG_RUNTIME_DIR=/tmp

PY3VERS := $(shell py3versions -v -r debian/control)
DEFPY3 := $(shell py3versions -v -d)
PY_PLATFORM := $(shell python -c 'from distutils.util import get_platform; print get_platform()')
pd := python-matplotlib-doc
p3 := python3-matplotlib
pdata := python-matplotlib-data
p3dbg := python3-matplotlib-dbg
DEB_BUILD_OPTIONS += --no-parallel

# build
build: build-arch build-indep

build-indep: build-indep-stamp
build-indep-stamp: build-arch-stamp
	dh_testdir

	# build the doc
	MPLCONFIGDIR=. MATPLOTLIBDATA=$(CURDIR)/lib/matplotlib/mpl-data/ PYTHONPATH=$(CURDIR)/build/lib.$(PY_PLATFORM)-$(DEFPY3) $(MAKE) -C doc html

	touch $@

build-arch: build-arch-stamp
build-arch-stamp:
	dh_testdir

	cp -f debian/setup.cfg setup.cfg

	for v in $(PY3VERS); do \
		python$$v ./setup.py build $(PY_BUILD_FLAGS) ; \
		python$$v-dbg ./setup.py build $(PY_BUILD_FLAGS) ; \
	done

ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	echo "backend      : TkAgg" > matplotlibrc

	-for v in $(PY3VERS); do \
		LIB=$$(python$$v -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print(b.build_platlib)") ; \
		PYTHONPATH=$$LIB MATPLOTLIBDATA=$(CURDIR)/lib/matplotlib/mpl-data/ MPLCONFIGDIR=. xvfb-run -a python$$v tests.py --no-network --verbose --full-trace ; \
		LIB=$$(python$$v-dbg -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print(b.build_platlib)") ; \
		PYTHONPATH=$$LIB MATPLOTLIBDATA=$(CURDIR)/lib/matplotlib/mpl-data/ MPLCONFIGDIR=. xvfb-run -a python$$v-dbg tests.py --no-network --verbose --full-trace ; \
	done
	rm -f matplotlibrc
endif

	touch $@


# clean
clean:
	dh_testdir
	dh_testroot
	
	for i in $(PY3VERS); do \
		python$$i ./setup.py clean --all; \
		python$$i-dbg ./setup.py clean --all; \
	done

	# clean the doc

	# workaround for cleaning the doc ("doc/make.py clean" only runs useless svn-clean)
	rm -f doc/api/_as_gen/*
	#rm -rf doc/build doc/examples
	#rm -f doc/mpl_examples/api/*.png
	#rm -f doc/mpl_examples/pylab_examples/*.png
	#rm -f doc/mpl_examples/pylab_examples/*.pdf
	#rm -f doc/mpl_examples/units/*.png
	#rm -f doc/pyplots/tex_demo.png
	#rm -f doc/_static/matplotlibrc
	#rm -f doc/_templates/gallery.html

	find . -name '*.pyc' -exec rm {} \;

	dh_clean lib/matplotlib/mpl-data/matplotlib.conf \
		lib/matplotlib/mpl-data/matplotlibrc setup.cfg
	rm -rf build
	rm -rf lib/matplotlib.egg-info

	# restore "pristine" doc/matplotlibrc
	sed -i '/^examples\./d' $(CURDIR)/doc/matplotlibrc

	## remove doc symlinks to examples directory
	#rm -rf doc/mpl_examples
	#rm -rf doc/mpl_toolkits/axes_grid/examples

	# build twice in a row
	rm -rf doc/tex.cache/ fontList.py3k.cache result_images/ test_cache/ tex.cache/ examples/pylab_examples/test.xls
	rm -rf doc/finance.cache/ doc/fontList.cache fontList.cache

	# remove embedded CXX to prevent it to be picked up
	rm -rf extern/CXX/

# install
install-arch: build-arch install-arch-stamp
	dh_testdir
	dh_testroot
	dh_numpy3

install-arch-stamp: build-arch-stamp
	dh_testdir
	dh_testroot

	for v in $(PY3VERS) ; do \
		python$$v ./setup.py install_lib --install-dir $(CURDIR)/debian/$(p3)/usr/lib/python3/dist-packages/ ; \
		python$$v ./setup.py install_egg_info --install-dir $(CURDIR)/debian/$(p3)/usr/lib/python3/dist-packages/ ; \
		python$$v-dbg ./setup.py install --root=$(CURDIR)/debian/$(p3dbg) --install-layout=deb ; \
	done

	find debian/$(p3dbg) ! -type d ! -name '*.so' | xargs rm -f
	find debian/$(p3dbg) -depth -empty -exec rmdir {} \;

	find debian/ -name '*.pyc' | xargs rm -rf
	find debian/ -name '__pycache__' | xargs rm -rf

	# don't install baseline_images, needed for tests only, but huge
	# leave the dir tho, as matplotlib/tests/__init__.py checks for it
	for v in $(PY3VERS) ; do \
		rm -rf $(CURDIR)/debian/$(p3)/usr/lib/python3/dist-packages/matplotlib/tests/baseline_images/* ; \
		mkdir -p $(CURDIR)/debian/$(p3)/usr/lib/python3/dist-packages/matplotlib/tests/baseline_images/ ; \
		touch $(CURDIR)/debian/$(p3)/usr/lib/python3/dist-packages/matplotlib/tests/baseline_images/.keep ; \
	done

	rm -rf $(CURDIR)/debian/$(p3)/usr/lib/python3/dist-packages/matplotlib/mpl-data/
	rm -rf $(CURDIR)/debian/$(p3)/usr/lib/python3/dist-packages/matplotlib/backends/Matplotlib.nib/

	rm -rf $(CURDIR)/debian/$(p3dbg)/usr/lib/python3/dist-packages/matplotlib/mpl-data/
	rm -rf $(CURDIR)/debian/$(p3dbg)/usr/lib/python3/dist-packages/matplotlib/backends/Matplotlib.nib/

	-rm $(CURDIR)/debian/$(p3)/usr/lib/python3/dist-packages/matplotlib/backends/web_backend/jquery/js/jquery-1.7.1.min.js
	-rm $(CURDIR)/debian/$(p3)/usr/lib/python3/dist-packages/matplotlib/backends/web_backend/jquery/js/jquery-ui.min.js
	-rm $(CURDIR)/debian/$(p3)/usr/lib/python3/dist-packages/matplotlib/backends/web_backend/jquery/css/themes/base/jquery-ui.min.css

	# replace minified jquery with packaged version and hope it works
	for i in $(PY3VERS); do \
	    dh_link -ppython3-matplotlib usr/share/javascript/jquery/jquery.min.js \
	      usr/lib/python3/dist-packages/matplotlib/backends/web_backend/jquery/js/jquery-1.7.1.min.js; \
	    dh_link -ppython3-matplotlib usr/share/javascript/jquery-ui/jquery-ui.min.js \
	      usr/lib/python3/dist-packages/matplotlib/backends/web_backend/jquery/js/jquery-ui.min.js; \
	    dh_link  -ppython3-matplotlib usr/share/javascript/jquery-ui/css/smoothness/jquery-ui.min.css \
	      usr/lib/python3/dist-packages/matplotlib/backends/web_backend/jquery/css/themes/base/jquery-ui.min.css; \
	done

	touch $@

install-indep: build-indep
	dh_testdir -i
	dh_testroot -i
	dh_prep
	dh_install -p $(pdata)
	rm -fr $(CURDIR)/debian/$(pdata)/usr/share/matplotlib/mpl-data/fonts/ttf/Vera*.ttf
	rm -fr $(CURDIR)/debian/$(pdata)/usr/share/matplotlib/mpl-data/fonts/ttf/*.TXT
	rm -fr $(CURDIR)/debian/$(pdata)/usr/share/matplotlib/mpl-data/fonts/ttf/local.conf
	rm -fr $(CURDIR)/debian/$(pdata)/usr/share/matplotlib/mpl-data/fonts/pdfcorefonts/readme.txt
	chmod 644 $(CURDIR)/debian/$(pdata)/usr/share/matplotlib/mpl-data/images/*.svg

# binary
binary-indep: build-indep install-indep
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs
	dh_installdocs -p$(pd) -i doc/build/html/ tutorials/
	# remove pyc file from doc
	dh_installexamples -p$(pd) -i examples/*
	dh_compress -i -Xexamples -Xexamples/data -Xpdf -X.js -X.py -Xobjects.inv -X.html
	dh_link -i
	dh_sphinxdoc
	find $(CURDIR)/debian/$(pd)/ -type f -name '*.pyc' | xargs --no-run-if-empty rm
	dh_lintian -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: build-arch install-arch
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs
	dh_installdocs -p$(p3) -a README.rst
	# make python scripts starting with '#!' executable
	for i in `find debian -mindepth 2 -type f ! -perm 755`; do \
		if head -1 $$i | grep -q '^#!'; then \
			chmod 755 $$i; \
			echo "made executable: $$i"; \
		fi; \
	done
	dh_python3 -a
	dh_link -a
	dh_lintian -a
	dh_strip -a -p$(p3) --dbg-package=$(p3dbg)
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## matplotlib 3.1.2

=== doc/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    = -W
SPHINXBUILD   = python -msphinx
SPHINXPROJ    = matplotlib
SOURCEDIR     = .
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# workaround because sphinx does not completely clean up (#11139)
clean:
	@$(SPHINXBUILD) -M clean "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)
	rm -rf "$(SOURCEDIR)/build"
	rm -rf "$(SOURCEDIR)/api/_as_gen"
	rm -rf "$(SOURCEDIR)/gallery"
	rm -rf "$(SOURCEDIR)/tutorials"
	rm -rf "$(SOURCEDIR)/savefig"
	rm -rf "$(SOURCEDIR)/sphinxext/__pycache__"

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
matplotlib (3.1.2-1ubuntu4) focal; urgency=medium

  [ Sandro Tosi ]
  * debian/control
    - replace `ipython` with `python3-ipython`: mpl requires
      ipython_console_highlighting to build its doc, which is now in the latter
      package (LP: #1872596)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 14 Apr 2020 00:04:39 -0400

matplotlib (3.1.2-1ubuntu3) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:44:16 +0100

matplotlib (3.1.2-1ubuntu2) focal; urgency=medium

  * Disabled the wxagg autopkg test, python3-wxgtk3.0 is removed.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 12 Feb 2020 15:51:32 +0100

matplotlib (3.1.2-1ubuntu1) focal; urgency=medium

  * Ignore errors building the docs.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 12 Feb 2020 07:40:43 +0100

matplotlib (3.1.2-1) unstable; urgency=medium

  * New upstream release; Closes: #945169
  * debian/copyright
    - update copyright for new upstream release
    - extend packaging copyright years
  * debian/control
    - bump Standards-Version to 4.4.1 (no changes needed)
    - drop Qt4 from depends; Closes: #941527
    - add sphinx-copybutton to b-d, needed by doc
  * debian/tests/
    - drop python2 tests and test Qt5 instead of Qt4; Closes: #943169
  * debian/patches/
    - refresh/drop patches as per new upstream code
  * debian/rules
    - error out in case of a failure during build or install targets; patch by
      Matthias Klose; Closes: #942766
    - skip tests!! temporary measure due to
      https://github.com/matplotlib/matplotlib/issues/15960
  * debian/patches/0016-use-packaged-jquery.patch
    - use the packaged JQuery and JQuery UI

 -- Sandro Tosi <morph@debian.org>  Sat, 21 Dec 2019 21:56:14 -0500

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,6 @@
                ghostscript,
                graphviz,
                inkscape [!kfreebsd-amd64],
-               ipython,
                libfreetype6-dev,
                libpng-dev,
                locales-all,
@@ -21,6 +20,7 @@
                python3-cairocffi [!ia64],
                python3-cxx-dev,
                python3-gi,
+               python3-ipython <!nodoc>,
                python3-ipywidgets,
                python3-kiwisolver,
                python3-kiwisolver-dbg,
@@ -35,11 +35,11 @@
                python3-pkg-resources,
                python3-pyparsing (>= 1.5.6),
                python3-pytest,
-               python3-pyqt4,
                python3-pyqt5 [!hurd-i386],
                python3-setuptools,
                python3-six (>= 1.4),
                python3-sphinx (>= 1.0.7+dfsg),
+               python3-sphinx-copybutton,
                python3-sphinx-gallery,
                python3-tk,
                python3-tk-dbg,
@@ -53,7 +53,7 @@
                xvfb,
                zlib1g-dev
 XS-Python-Version: all
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
 Homepage: http://matplotlib.org/
 Vcs-Git: https://salsa.debian.org/python-team/modules/matplotlib.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/matplotlib
@@ -85,7 +85,7 @@
           python3-gi-cairo,
           python3-gobject,
           python3-nose,
-          python3-pyqt4,
+          python3-pyqt5,
           python3-scipy,
           python3-sip,
           python3-tornado,

=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,7 @@
 	dh_testdir
 
 	# build the doc
-	MPLCONFIGDIR=. MATPLOTLIBDATA=$(CURDIR)/lib/matplotlib/mpl-data/ PYTHONPATH=$(CURDIR)/build/lib.$(PY_PLATFORM)-$(DEFPY3) $(MAKE) -C doc html
+	-MPLCONFIGDIR=. MATPLOTLIBDATA=$(CURDIR)/lib/matplotlib/mpl-data/ PYTHONPATH=$(CURDIR)/build/lib.$(PY_PLATFORM)-$(DEFPY3) $(MAKE) -C doc html
 
 	touch $@
 
@@ -29,6 +29,7 @@
 
 	cp -f debian/setup.cfg setup.cfg
 
+	set -e; \
 	for v in $(PY3VERS); do \
 		python$$v ./setup.py build $(PY_BUILD_FLAGS) ; \
 		python$$v-dbg ./setup.py build $(PY_BUILD_FLAGS) ; \
@@ -39,9 +40,9 @@
 
 	-for v in $(PY3VERS); do \
 		LIB=$$(python$$v -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print(b.build_platlib)") ; \
-		PYTHONPATH=$$LIB MATPLOTLIBDATA=$(CURDIR)/lib/matplotlib/mpl-data/ MPLCONFIGDIR=. xvfb-run -a python$$v tests.py --no-network --verbose --full-trace ; \
+		#PYTHONPATH=$$LIB MATPLOTLIBDATA=$(CURDIR)/lib/matplotlib/mpl-data/ MPLCONFIGDIR=. xvfb-run -a python$$v tests.py --no-network --verbose --full-trace ; \
 		LIB=$$(python$$v-dbg -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print(b.build_platlib)") ; \
-		PYTHONPATH=$$LIB MATPLOTLIBDATA=$(CURDIR)/lib/matplotlib/mpl-data/ MPLCONFIGDIR=. xvfb-run -a python$$v-dbg tests.py --no-network --verbose --full-trace ; \
+		#PYTHONPATH=$$LIB MATPLOTLIBDATA=$(CURDIR)/lib/matplotlib/mpl-data/ MPLCONFIGDIR=. xvfb-run -a python$$v-dbg tests.py --no-network --verbose --full-trace ; \
 	done
 	rm -f matplotlibrc
 endif
@@ -103,6 +104,7 @@
 	dh_testdir
 	dh_testroot
 
+	set -e; \
 	for v in $(PY3VERS) ; do \
 		python$$v ./setup.py install_lib --install-dir $(CURDIR)/debian/$(p3)/usr/lib/python3/dist-packages/ ; \
 		python$$v ./setup.py install_egg_info --install-dir $(CURDIR)/debian/$(p3)/usr/lib/python3/dist-packages/ ; \

=== debian/tests/control ===
Tests: tkagg
Depends: xauth, xvfb, python3-matplotlib, python3-matplotlib-dbg, python3-tk, python3-tk-dbg, python3-numpy, python3-numpy-dbg

Tests: qt5agg
Depends: xauth, xvfb, python3-matplotlib, python3-matplotlib-dbg, python3-pyqt5, python3-pyqt5-dbg, python3-numpy, python3-numpy-dbg

#Tests: wxagg
#Depends: xauth, xvfb, python3-matplotlib, python3-wxgtk3.0, python3-numpy
